<?php

require_once('db.php');

/**
 * Creates a row in the messages table.
 *
 * @param $connection The connection to the database.
 * @param string $message The message to save.
 * @param string $ip The ip of the sender.
 */
function insertMessage($connection, $message, $ip) {
    $sql = 'INSERT INTO messages (message, ip) '
         . 'VALUES (?, ?)';

    $statement = $connection->prepare($sql);
    $statement->bind_param('ss', $message, $ip);

    $statement->execute();
}

// Flow starts here.

$message = $_POST['message'];
$ip = $_SERVER['REMOTE_ADDR'];

$connection = connect();

insertMessage($connection, $message, $ip);

mysqli_close($connection);
